wkhtmltopdf patched qt?

I'm trying to convert multiple URLs to PDF. However, when I compile wkhtmltopdf or run apt-get install wkhtmltopdf and try, it says:

Error: This version of wkhtmltopdf is build against an unpatched version of QT, and does not support more then one input document.

If I use the static version, I get Segmentation fault error.

How do I build wkhtmltopdf against a patched version of QT, or are there any other solutions besides converting one by one and reuniting?

My OS is Ubuntu 12.04 64-bit. Thanks.

Answers


First check out the source

 git clone git://gitorious.org/~antialize/qt/antializes-qt.git wkhtmltopdf-qt
 cd wkhtmltopdf-qt
 git checkout 4.8.4
 QTDIR=. ./bin/syncqt

Qt must be configured, a good set of configuration options for qt can found by looking at the output of

cat ../wkhtmltopdf/static_qt_conf_base ../wkhtmltopdf/static_qt_conf_linux | sed -re 's/#.*//'
cd wkhtmltopdf-qt
./configure -nomake tools,examples,demos,docs,translations -opensource -prefix "../wkqt"

And Qt compiled and installed (this will take a while)

make -j3 && make install
cd ..

You must now run qmake in the wkhtmltopdf folder.

cd wkhtmltopdf
../wkqt/bin/qmake

Archived Google Code link.


Go http://wkhtmltopdf.org/downloads.html and download appropriate build. Its already patched with QT.

wkhtmltopdf --help
    or
wkhtmltopdf -V

should show

Description:
  Converts one or more HTML pages into a PDF document, using wkhtmltopdf patched qt.

Need Your Help

Google/Analytics.h file not found when adding to AppDelegate

ios objective-c google-analytics cocoapods

I am trying to integrate Google Analytics in my ios project using Cocoapods. However, after following this for the steps till adding configuration file to my project, when importing the Google/Anal...

Equivalent of the old OpenLayers.Layer.Text

openstreetmap openlayers-3 tsv

I have in the OpenLayers 2 project this construct: